/*	TEST.C	*/

#include <ssdef>
#include "stdio.h"

test (ac, av, ev)
main_program

int ac;
char **av;
char **ev;

{

	register int	i;
	register char	**c = av;
	static char	command_line[133];
	register char	*cp = &command_line;
	static int	status;

	if (ac > 1)	{

		for (i=1; i<ac; i++, c++)	{

			cp = strzcpy (cp, *c);
			*cp++ = ' ';

		}

		*--cp = '\0';
		system (command_line);

	}

	else	{

		FOREVER	{

			printf ("%s", "TEST>");
			fflush (stdout);

			if (!gets (command_line))
				break;

			if (!strlen (command_line))
				break;

			system (command_line);

		}

	}

	exit (SS$_NORMAL);

}
